Bug 1240045 - svgalib: FTBFS in rawhide
Summary: svgalib: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: svgalib
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:26 UTC by Dennis Gilmore
Modified: 2016-02-01 02:01 UTC (History)
2 users (show)

Fixed In Version: 1.9.25-18.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 02:18:46 UTC
Type: ---


Attachments (Terms of Use)
build.log (85.40 KB, text/plain)
2015-07-05 21:26 UTC, Dennis Gilmore
no flags Details
root.log (66.61 KB, text/plain)
2015-07-05 21:26 UTC, Dennis Gilmore
no flags Details
state.log (629 bytes, text/plain)
2015-07-05 21:26 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:26:03 UTC
Your package svgalib failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10156250

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:26:05 UTC
Created attachment 1048450 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:26:06 UTC
Created attachment 1048451 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:26:07 UTC
Created attachment 1048452 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:23:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Jaromír Cápík 2015-08-03 17:47:19 UTC
quickmath.c:29:15: error: redefinition of 'fsqr'
 inline double fsqr (double x)
               ^
In file included from quickmath.c:27:0:
quickmath.h:79:22: note: previous definition of 'fsqr' was here
 extern inline double fsqr (double x)
                      ^
quickmath.c:34:12: error: redefinition of 'lsqr'
 inline int lsqr (int x)
            ^
In file included from quickmath.c:27:0:
quickmath.h:84:19: note: previous definition of 'lsqr' was here
 extern inline int lsqr (int x)
                   ^
quickmath.c:39:15: error: redefinition of 'fmax'
 inline double fmax (double a, double b)
               ^

Comment 6 Jaromír Cápík 2015-08-03 17:48:58 UTC
The quickmath.h header apparently duplicates the code even when there should only be prototypes.

Comment 7 Fedora Update System 2015-08-03 18:07:43 UTC
svgalib-1.9.25-18.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/svgalib-1.9.25-18.fc22

Comment 8 Fedora Update System 2015-08-03 18:07:50 UTC
svgalib-1.9.25-18.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/svgalib-1.9.25-18.fc23

Comment 9 Fedora Update System 2015-08-05 00:11:15 UTC
Package svgalib-1.9.25-18.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing svgalib-1.9.25-18.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12721/svgalib-1.9.25-18.fc23
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-08-15 02:18:46 UTC
svgalib-1.9.25-18.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-22 22:50:22 UTC
svgalib-1.9.25-18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.